---
id: parameter-values-compare
title: "Compare two parameter values"
description: "Compares two parameter values of a single parameter."
sidebar_label: "Compare two parameter values"
hide_title: true
hide_table_of_contents: true
api: eJzdV9ty2zYQ/RXMPiUzrCTfeuGb66at++RJ7DYztkezAlYkUhJgcHGsavjvnQVpUhcnTVy3nakfaApaYM+exQGO1qDIS6eboK2BHM5s3aAjL8IHKxp0WFMgJ+6wiuSFXQoUXpuiovHLCWQwfPCQX6/BYE2Qj6PnCjLQJg2FErKdpJclifMfePVQ7izs6H3UjhTkwUXKwMuSaoR8DWHVcA4fnDYFtBnQPdZNRZAfHB612QDC2+gk/coFfBGMbt4uB0/FdHzy9QamgK6g8OWYunnPhembb79rbzOwDTnkdOdqs2fzrue57HYEZBCw4PbCxUMI3HJi31jjyXOuw9mM/+2XMOQQH9ALH6Uk75exYujSmkAm8ERsmkrLFDh953n2er8Su3hHMvCmc7xs0F1upZfLeReyW/RjpHIE08rTyJGRJJY2GsWIyMSaC5UlmoK4QdGM78aGeUcKLipiDgZGhxlt+svg+O3bfULOKk0mCHLOOjHwJ1QkEazQ5g4rrYQ2TQzCOlFrz5Ibu+7/FmvjTrkGHzBEf2YVtzfhgQxq8h6LVNg2wxvR47raBCrI7XH88+XlhehmCGkVCUeNI08mcC1JYA1JvdRSyE0+XtCkmGTieDbjxwE/jvhx/DJ1ZtDTbNYyCeoz2n0qapSlNvSVI1TctD5XwhVKDEJioMI6/QeffIyN3B05sURdRUdbmWGBas4kkg9JTom2zwCxcJqWmShjjWZEshH1oPIOXNqgPRs38D0q8bpLegM8cGUwhjJBVjewTc5mNEN86Ohfg1RK8ytWQlFAXXmBCxvDCGs7DwuppyIJu8ZqaV1NSiR2TUBtSA1benMHPyjk5DGFvOno31WINirtc1MINEJ7H0lYk8CdXpwLrxX9z6ThN4noN8MJS+NkdsiPo+3Gn/x3quBincFq3gXNO8r+NX2c9+lFv3VecUynFB7RksSVwTvUFa+6J5hHp/+j0jk1Ihq6b0gGUn1JVsroHKmJuKgIPYngVgIL1EZUmAxR+yCbmkJp+b4uKF2F7B1ymA4Km643zFc7TXf5dL3lhdppf7VP11t+pIUMuiZ2Zi66CnIoQ2h8Pp1ioycmVlVTYWCtT6StgW2EJxmdDqs3LK9OFQtCR+40MraBP14IeoOSjtMUBFn/8qN1NQbI4ZffLoEr1WZpeTrj6ag+mMwmM/YjOiQqL0bz2WbQWB9qTErv3VbvaR+1tLt9XI+nx1O9cF9noPswbSrUhlElEtd9n65HlwUZ5Ns2OS3Pw7vGdTRi+bZ/vM2gtD7wuuv1Aj1duaptefh9JLeC/PqWl3U6+RVuqdKe3xXkS6w8fYKDF6/7M/Gl+IRLf7TkfhDNaqgqB8jgd1rt/DZgZ/wMkD7u2J+Ab5v9Z0L4cf/+BITbm6C9bTMoCRW51OIu5lRKasLG7L0LkaU7HCY/vWLN/QmnCt41
sidebar_class_name: "get api-method"
info_path: docs/api/parameters
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Compare two parameter values"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/parameter/{parameterId}/value/{sourceValueId}/compare/{targetValueId}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Compares two parameter values of a single parameter.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"name":"parameterId","in":"path","description":"The ID of the parameter.","required":true,"schema":{"type":"string"},"example":123},{"name":"sourceValueId","in":"path","description":"The ID of the source parameter value.","required":true,"schema":{"type":"string"},"example":456},{"name":"targetValueId","in":"path","description":"The ID of the target parameter value.","required":true,"schema":{"type":"string"},"example":789}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"diff_type":{"type":"string","description":"The type of difference found.","enum":["changed","unchanged","not_comparable"],"example":"changed"}}}}}},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      